import { NavigationBuilderContext } from "./NavigationBuilderContext";
import { NavigationStateContext } from "./useCustomNavigationBuilder";
import React, { useState } from "react";
export const CustomNavigationContainer = ({ children }) => {
    const builderContext = React.useMemo(() => ({}), []);
    // useSyncState
    const [state, setState] = useState(() => undefined);
    const getState = () => state;
    const context = React.useMemo(() => ({
        state,
        getState,
        setState,
        addOptionsGetter: () => { },
    }), [state, getState, setState]);
    return (<NavigationBuilderContext.Provider value={builderContext}>
      <NavigationStateContext.Provider value={context}>
        {children}
      </NavigationStateContext.Provider>
    </NavigationBuilderContext.Provider>);
};
