import * as React from 'react';
import { NavigationContext } from './NavigationContext';
/**
 * Hook to access the navigation prop of the parent screen anywhere.
 *
 * @returns Navigation prop of the parent screen.
 */
export function useCustomNavigation() {
    const navigation = React.useContext(NavigationContext);
    if (navigation === undefined) {
        throw new Error("Couldn't find a navigation object. Is your component inside NavigationContainer?");
    }
    // FIXME: Figure out a better way to do this
    return (navigation);
}
