import { CommonNavigationAction, ParamListBase, Router, StackActionHelpers, StackActionType, StackNavigationState, StackRouterOptions } from "@react-navigation/native";
export type FlowRouterOptions = StackRouterOptions;
export type FlowNavigationState<ParamList extends ParamListBase> = StackNavigationState<ParamList>;
export type FlowActionHelpers<ParamList extends ParamListBase> = {
    goToNextStep(): void;
    goToPreviousStep(): void;
    quitFlow(): void;
} & StackActionHelpers<ParamList>;
export type FlowActionType = StackActionType | {
    type: "NEXT_STEP";
    source?: string;
} | {
    type: "BACK_STEP";
    source?: string;
} | {
    type: "QUIT_FLOW";
    source?: string;
};
export declare const buildFlowRouter: (quitFlowHelper: () => void) => (options: FlowRouterOptions) => Router<StackNavigationState<ParamListBase>, CommonNavigationAction | FlowActionType>;
